/**
 * Copyright (c) 1996-2024, SR Research Ltd., All Rights Reserved
 *
 * For use by SR Research licencees only. Redistribution and use in source
 * and binary forms, with or without modification, are NOT permitted.
 *
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in
 * the documentation and/or other materials provided with the distribution.
 *
 * Neither name of SR Research Ltd nor the name of contributors may be used
 * to endorse or promote products derived from this software without
 * specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS
 * IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

#include <stdio.h>
#include <core_expt.h>



#define DURATION 20000 //20 seconds

int main(int argc, char ** argv)
{
	UINT32 st =0;
    if(open_eyelink_connection(0) !=0) // connect to the tracker
	{
		printf("Failed to connect to tracker \n");
		return 0;
	}
	
	eyecmd_printf("link_sample_data  = LEFT,RIGHT,GAZE"); // tell tracker to send data over the link
	eyecmd_printf("binocular_enabled =YES"); // enable binocular
	
	set_offline_mode();
	pump_delay(50);
	
	if(start_recording(1,1,1,1) != 0) 
	{
		printf("failed to start recording \n");
		return -1;
	}

	st = current_time();
	while(st+20000>current_time())
	{

		FSAMPLE sample;
		if(eyelink_newest_float_sample(&sample)>0) // get the newest sample
			printf("%f %f %f %f\n", sample.gx[0], sample.gy[0], sample.gx[1], sample.gy[1]); // print gaze data
		
	}
	
	stop_recording(); // stop recording
	close_eyelink_system(); // disconnect from tracker
	return 1;
   
}